Tetrarch Asterios:
From ancient times, the Elves of Light have lived in harmony with the forest under the protection of the Mother Tree. Surrounded by her magic force field, this became their sanctuary from the outside world for a long, long time. However, the Sea of Spores east of the forest has been gradually expanding, and the dark brothers of the North and the Human kingdom of the South are looking for any excuse to take over our forest! Many of our young brothers feel that we cannot survive if we stay isolated in this forest in times like these, and they've started leaving for the outside world.
The times demand change, and we can no longer rely entirely on the protection of the forest. Our tribe must experience a broader world view, and most of all we must gain an understanding of the Humans who have come to dominate the continent. For this reason, only the Elves who have gained experience and knowledge of the outside world are qualified to obtain new power.
Return